Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class FeatureSelection

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.FeatureSelection

Direct Known Subclasses:
  FeatureSelectionByAttributes, FeatureSelectionWithSVM, RemoveFeatures, UepFeatureSelection, UserDefinedFeatureSelection

    public abstract class FeatureSelection

extends SingleCSOperator

This class is the super class for all Feature Selection operators. Subclasses must implement the method `Feature[] computeListOfAttributes` which delivers the selected features as an array of Feature objects.

Version:
  $Id: FeatureSelection.java,v 1.5 2006/09/27 14:59:56 euler Exp $
Author:
  Timm Euler

Field Summary
`protected java.util.Collection` | `mySelectedFeatures`

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`FeatureSelection()`

Method Summary
`protected abstract java.util.Collection` | `computeListOfAttributes(Feature[] theSuperset)` Abstract method to be implemented by all subclasses.
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart)` This method must return the SQL definition of the newly created ColumnSet.
`protected Feature[]` | `getTheAttributes()` Getter method for the parameter "TheAttributes".
`java.lang.String` | `getTypeOfNewColumnSet()` This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.
`protected boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` This method is for operators that do not copy all Features of the input concept to the output concept.
`protected boolean` | `occursIn(java.lang.String featureName, java.util.Collection theFeatures)`
`protected boolean` | `occursIn(java.lang.String featureName, Feature[] theArray)`

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mySelectedFeatures

    protected java.util.Collection mySelectedFeatures

Constructor Detail

### FeatureSelection

    public FeatureSelection()

Method Detail

### computeListOfAttributes

    protected abstract java.util.Collection computeListOfAttributes(Feature[] theSuperset)
                                                             throws M4CompilerError

  Abstract method to be implemented by all subclasses.

  Parameters:
    `theSuperset` - An array of Feature objects to which the selection is to be applied
  Returns:
    the selected Features as a `Collection`
  Throws:
    `M4CompilerError`

### mustCopyFeature

    protected boolean mustCopyFeature(java.lang.String nameOfFeature)
                               throws M4CompilerError

  Description copied from class: `ConceptOperator`
  This method is for operators that do not copy all Features of the input concept to the output concept.

  Specified by:
    `mustCopyFeature` in class `ConceptOperator`
  Parameters:
    `nameOfFeature` - Name of the feature in question.
  Returns:
    TRUE if this feature should be copied to the output concept, FALSE if not.
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.Operator#mustCopyFeature`

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet()

  Description copied from class: `SingleCSOperator`
  This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.

  Specified by:
    `getTypeOfNewColumnSet` in class `SingleCSOperator`
  Returns:
    The type of the new Columnset, either "V" or "T".
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#getTypeOfNewColumnSet`

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart)
                                           throws M4CompilerError

  Description copied from class: `SingleCSOperator`
  This method must return the SQL definition of the newly created ColumnSet.

  Specified by:
    `generateSQLDefinition` in class `SingleCSOperator`
  Parameters:
    `selectPart` - The SQL string between "SELECT" and "FROM" for the SQL definition to be returned.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.SingleCSOperator#generateSQLDefinition`

### getTheAttributes

    protected Feature[] getTheAttributes()
                                  throws M4CompilerError

  Getter method for the parameter "TheAttributes". This parameter specifies the set of features from which some should be selected.

  Returns:
    an array of Feature objects
  Throws:
    `M4CompilerError`

### occursIn

    protected boolean occursIn(java.lang.String featureName,
                               java.util.Collection theFeatures)

### occursIn

    protected boolean occursIn(java.lang.String featureName,
                               Feature[] theArray)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005